qiime2-2021.4 dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi-
Thanks a lot for checking this. I’m running qiime2-2021.4 through Terminal on my MacBook. After success in demultiplexing to .qza and .qzv files, I performed qiime2 data2 denoise-paired using the following code:
qiime dada2 denoise-paired
–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 13
–p-trim-left-r 13
–p-trunc-len-f 150
–p-trunc-len-r 150
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza

After about 15 min, I got this error:
Plugin error from dada2:
An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Here is what the log file says:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/forward /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/reverse /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/output.tsv.biom /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/track.tsv /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/filt_f /var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/filt_r 150 150 13 13 2.0 2.0 2 12 independent consensus 1.0 1 1000000

R version 4.0.3 (2020-10-10)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.6 / RcppParallel: 5.1.2

  1. Filtering …
  2. Learning Error Rates
    31261482 total bases in 228186 reads from 4 samples will be used for learning the error rates.
    31261482 total bases in 228186 reads from 4 samples will be used for learning the error rates.
  3. Denoise samples …
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo → isBimeraDenovoTable
    Execution halted
    Traceback (most recent call last):
    File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 266, in denoise_paired
    run_commands([cmd])
    File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py”, line 516, in run
    raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/forward’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/reverse’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/output.tsv.biom’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/track.tsv’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/filt_f’, ‘/var/folders/wf/c647x15s4y95v3z0_zj9p2_r0000gn/T/tmpcq3pu9cw/filt_r’, ‘150’, ‘150’, ‘13’, ‘13’, ‘2.0’, ‘2.0’, ‘2’, ‘12’, ‘independent’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py”, line 244, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/Users/happylai/opt/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
raise Exception(“An error was encountered while running DADA2”
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

My log file looks different from other support threads of the same topics. Can you please advise? Thanks a lot.

Hi, @leehial , and welcome to the forum! :wave:

Thanks for sharing!

It looks like you may be running into a similar issue discussed here:

I suggest reading up on that discussion to see if it answers your problem. Feel free to follow up here if you still have questions :smiley: .

Hi Andrew, thanks so much for the info. Will certainly try fixing that with dada2. However, just FYI - without modifying any codes, data, or the manifest file, I re-ran the analysis using deblur instead of dada2 - it came through! :slight_smile:

Hi @leehial!

Glad to hear you got it working, but I want to point out that changing the command used is effectively the same thing as changing the code. Its like you took a train to your destination, instead of a boat - both great methods of transportation, but, completely different mechanisms of locomotion.

:train: :motor_boat:

1 Like